#include <stdio.h>
#include <stdlib.h>
#include "ordonnancement.h"

uint somme_id(file* f) {
    uint taille = taille_file(f);
    uint somme = 0;
    for (uint i = 0; i < taille ; ++i) {
        somme += f->contenu[(f->debut + i) % f->capacite]->cout;
        somme %= 12000;
    }
    return somme;
}

int main( int argc, char** argv ) {
    if (argc != 2) {
        fprintf(stderr, "Usage : %s u0\n", argv[0]);
        exit(EXIT_FAILURE);
    }
    int u0 = atoi(argv[1]);
    file* f1212 = F(u0, 1212);
    file* f1000 = F(u0, 1000);
    file* f1256 = F(u0, 1256);
    printf("Question 4 : a) (%i, %i, %i)  b) (%i, %i, %i)  c) (%i, %i, %i)\n",
           f1212->capacite, taille_file(f1212), milieu_file(f1212),
           f1000->capacite, taille_file(f1000), milieu_file(f1000),
           f1256->capacite, taille_file(f1256), milieu_file(f1256));
    printf("Question 6 : a) %i  b) %i  c) %i\n",
           difference_optimale(f1212),
           difference_optimale(f1000),
           difference_optimale(f1256));
    file* a1_1212 = creer_file_vide();
    file* a2_1212 = creer_file_vide();
    file* a1_1000 = creer_file_vide();
    file* a2_1000 = creer_file_vide();
    file* a1_1256 = creer_file_vide();
    file* a2_1256 = creer_file_vide();
    equilibrage(f1212,a1_1212,a2_1212);
    equilibrage(f1000,a1_1000,a2_1000);
    equilibrage(f1256,a1_1256,a2_1256);
    printf("Question 8 : a) (%i, %i)  b) (%i, %i)  c) (%i, %i)\n",
           somme_id(a1_1212), somme_id(a2_1212),
           somme_id(a1_1000), somme_id(a2_1000),
           somme_id(a1_1256), somme_id(a2_1256));

detruire_file(f1212);
    detruire_file(f1000);
    detruire_file(f1256);
    detruire_file(a1_1212);
    detruire_file(a2_1212);
    detruire_file(a1_1000);
    detruire_file(a2_1000);
    detruire_file(a1_1256);
    detruire_file(a2_1256);
    return EXIT_SUCCESS;
}
