#ifndef ORDONNANCEMENT_H
#define ORDONNANCEMENT_H
#include <stdbool.h>

typedef unsigned int uint;
typedef struct processus {
    uint id;
    uint cout;
} processus;

typedef struct file {
    processus** contenu;
    uint capacite;
    uint debut;
    uint fin;
    uint charge;
    bool vide;
} file;

processus* creer_processus(uint id, uint cout); file* creer_file_vide();
void detruire_file(file* f);
processus* retire(file* f);
void ajoute(file* f, processus* p);
file* F(uint u0, uint n);
uint taille_file(file* f);
uint milieu_file(file* f);
uint difference_optimale(file* p);
void equilibrage(file* p, file* a1, file* a2);

#endif
